<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Symulator ruchu drogowego: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Symulator ruchu drogowego
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_c" name="index_c"></a>- c -</h3><ul>
<li>cars&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#af896b4d92a9eedecac1d698e3849de1c">Motion.Motion</a></li>
</ul>


<h3><a id="index_d" name="index_d"></a>- d -</h3><ul>
<li>down&#160;:&#160;<a class="el" href="classDirection_1_1Direction.html#a6a11e491ece472eb70fac732cadf61fb">Direction.Direction</a></li>
<li>drive_direction&#160;:&#160;<a class="el" href="classCar_1_1Car.html#a18c3cc33b0b97a0a35f5c3da7d61f9f2">Car.Car</a></li>
</ul>


<h3><a id="index_e" name="index_e"></a>- e -</h3><ul>
<li>end_point&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#a5336c45b4cbb4da1acc9c8b22ee768e5">Tiles.Tiles</a></li>
</ul>


<h3><a id="index_f" name="index_f"></a>- f -</h3><ul>
<li>first_pattern&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#a8ec6668a92e5699e846bfe8d311a02e5">TrafficLight.traffic_light</a></li>
</ul>


<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>green_light&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a4f4644ca5fab22c9215240b12f781da6">traffic_light.traffic_light</a></li>
<li>grid&#160;:&#160;<a class="el" href="classRoad_1_1Road.html#af9ff55b8cfe37e447e3897efc05d8168">Road.Road</a></li>
</ul>


<h3><a id="index_h" name="index_h"></a>- h -</h3><ul>
<li>height&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a32c8bc631a05413154d63bb7c58f53ba">traffic_light.traffic_light</a></li>
</ul>


<h3><a id="index_i" name="index_i"></a>- i -</h3><ul>
<li>is_crossing&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#a9b7755b3905fae91b679afa429a9ad38">Tiles.Tiles</a></li>
<li>is_obstacle&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#a5507d373d2ec05c9dfaa6dfe0a6cade7">Tiles.Tiles</a></li>
</ul>


<h3><a id="index_l" name="index_l"></a>- l -</h3><ul>
<li>left&#160;:&#160;<a class="el" href="classDirection_1_1Direction.html#a835bd87aa59f21d611652f6b7d7d162c">Direction.Direction</a></li>
</ul>


<h3><a id="index_n" name="index_n"></a>- n -</h3><ul>
<li>none&#160;:&#160;<a class="el" href="classDirection_1_1Direction.html#a7273f71eb85eacb2473ddfb747552ac4">Direction.Direction</a></li>
</ul>


<h3><a id="index_p" name="index_p"></a>- p -</h3><ul>
<li>pattern_position&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#ad56168a4c346806685a40413b3951b68">TrafficLight.traffic_light</a></li>
<li>pattern_tick&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#a00c25a4169499885eeaef836008f07de">TrafficLight.traffic_light</a></li>
<li>picked_pattern&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#a980808cf2225a59fa253a0d5362b3a8a">TrafficLight.traffic_light</a></li>
</ul>


<h3><a id="index_r" name="index_r"></a>- r -</h3><ul>
<li>red_light&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a7acd3c4e607995e5d9e0abda933cbe73">traffic_light.traffic_light</a></li>
<li>resolution&#160;:&#160;<a class="el" href="classconfigure_1_1config.html#aec381128e5bd69c2e5c1055aa207c033">configure.config</a></li>
<li>right&#160;:&#160;<a class="el" href="classDirection_1_1Direction.html#a6718fd69ce1c1375c97f540166f28814">Direction.Direction</a></li>
<li>rnd&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a6180028842e2893d83dd857f085234bf">Motion.Motion</a></li>
<li>road&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#aa452aa953be03fa4867fc1518f5f36aa">Motion.Motion</a></li>
<li>road_directions&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#a9e7ecbcb393d283567ab30bc9f66b1a9">Tiles.Tiles</a></li>
<li>rulebreak_chance&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a139d52a534c71103169e3daa0772602d">Motion.Motion</a></li>
</ul>


<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>second_pattern&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#aa1c908e60c5194102d86c091c9011efe">TrafficLight.traffic_light</a></li>
<li>showup_chance&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a11b5037372bae70441e7855543729f17">Motion.Motion</a></li>
<li>slowdown_chance&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#ab380574d83892d2937373421cde821e1">Motion.Motion</a></li>
<li>spawn_point&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#a68dcae6aa756d3f94773785d83127d08">Tiles.Tiles</a></li>
<li>speedup_chance&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a035bd3357d6d195be0c7ab0f7c5d6da1">Motion.Motion</a></li>
</ul>


<h3><a id="index_t" name="index_t"></a>- t -</h3><ul>
<li>tick_counter&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#aada568d315a65fb9d91a78565469287a">TrafficLight.traffic_light</a></li>
<li>tile_type&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#aadd767127b0dd0107ea2519a34d4404e">Tiles.Tiles</a></li>
<li>traffic&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a5f443b2fe69c010cca0e700e75285b98">traffic_light.traffic_light</a></li>
<li>traffic_light&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#a240c5c3f63438346423743a43fd7e1f8">Tiles.Tiles</a></li>
<li>TTL&#160;:&#160;<a class="el" href="classCar_1_1Car.html#ad8dfa647586274cb3fc1253d98bb81dd">Car.Car</a></li>
</ul>


<h3><a id="index_u" name="index_u"></a>- u -</h3><ul>
<li>up&#160;:&#160;<a class="el" href="classDirection_1_1Direction.html#a210e306edec2feff99306da6f201f221">Direction.Direction</a></li>
</ul>


<h3><a id="index_v" name="index_v"></a>- v -</h3><ul>
<li>v_max&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a42c1ddac6008da8d87c3895bcb7240a0">Motion.Motion</a></li>
<li>vel&#160;:&#160;<a class="el" href="classCar_1_1Car.html#af992e2b3a404103e43008463e3ee5ac3">Car.Car</a></li>
</ul>


<h3><a id="index_w" name="index_w"></a>- w -</h3><ul>
<li>width&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#ad54c8dabbdc32d7d6a78bb6ffdcbada6">traffic_light.traffic_light</a></li>
</ul>


<h3><a id="index_x" name="index_x"></a>- x -</h3><ul>
<li>x&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#a5f1f524f8a47dc66fbd317c20ef466b2">TrafficLight.traffic_light</a></li>
<li>x_vis&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#a291a052542803ebfeb433b523d5133dd">TrafficLight.traffic_light</a></li>
</ul>


<h3><a id="index_y" name="index_y"></a>- y -</h3><ul>
<li>y&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#a3140f8052ea6ea755b97a5f17d86d5e9">TrafficLight.traffic_light</a></li>
<li>y_vis&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#aefe9f921775b96c733e5275090677980">TrafficLight.traffic_light</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
